string(REGEX MATCH "cl.exe" VBC "${CMAKE_C_COMPILER}")
string(REGEX MATCH "gcc" GCC "${CMAKE_C_COMPILER}")
if(VBC)
	exec_program("${CMAKE_C_COMPILER}" OUTPUT_VARIABLE "COMPILER_C_V")
	string(REPLACE "\n" ";" COMPILER_C_V "${COMPILER_C_V}")
	foreach(line ${COMPILER_C_V})
		if(NOT COMPILER_C_VERSION)
			set(COMPILER_C_VERSION "${line}")
			set(COMPILER_CXX_VERSION "${line}")
		endif(NOT COMPILER_C_VERSION)
	endforeach(line ${COMPILER_C_V})
endif(VBC)
if(GCC)
	exec_program("${CMAKE_C_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_C_VERSION")
	exec_program("${CMAKE_CXX_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_CXX_VERSION")
	string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_C_VERSION "${COMPILER_C_VERSION}")
	string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_CXX_VERSION "${COMPILER_CXX_VERSION}")
endif(GCC)

if(enable_print_message)
	message("")
	message("________________________________________________________________________________")
	message("________________________________________________________________________________ DEBUG")
	message("simgrid_BINARY_DIR   : ${simgrid_BINARY_DIR}")
	message("CMAKE_HOME_DIRECTORY : ${CMAKE_HOME_DIRECTORY}")
	message("")
	message("SIZEOF_MAX :			${SIZEOF_MAX}")
	message("PTH_STACKGROWTH 		${PTH_STACKGROWTH}")
	message("need_getline			${need_getline}")
	message("need_asprintf			${simgrid_need_asprintf}")
	message("need_vasprintf			${simgrid_need_vasprintf}")
	message("PREFER_PORTABLE_SNPRINTF 	${PREFER_PORTABLE_SNPRINTF}")
	message("HAVE_VA_COPY 			${HAVE_VA_COPY}")
	message("GRAS_BIGENDIAN			${GRAS_BIGENDIAN}")
	message("GRAS_ARCH val			${val_big}")
	message("GRAS_ARCH_32_BITS 		${GRAS_ARCH_32_BITS}")
	message("PRINTF_NULL_WORKING 		${PRINTF_NULL_WORKING}")
	message("")
	message("\#define pth_skaddr_makecontext(skaddr,sksize) (${makecontext_addr})")
	message("\#define pth_sksize_makecontext(skaddr,sksize) (${makecontext_size})")
	message("\#define __VA_COPY_USE 	${__VA_COPY_USE}")
	message("mcsc                    	${mcsc}")
	message("")
	message("HAVE_PTHREAD_CREATE		${pthread}")
	message("HAVE_SEM_INIT			${HAVE_SEM_INIT_LIB}")
	message("HAVE_SEM_TIMEDWAIT		${HAVE_SEM_TIMEDWAIT_LIB}")
	message("HAVE_MUTEX_TIMEDLOCK		${HAVE_MUTEX_TIMEDLOCK_LIB}")
	message("HAVE_POSIX_GETTIME		${HAVE_POSIX_GETTIME}")
	message("")
	message("TIME_WITH_SYS_TIME 		${TIME_WITH_SYS_TIME}")
	message("STDC_HEADERS 			${STDC_HEADERS}")
	message("HAVE_PTHREAD_H			${HAVE_PTHREAD_H}")
	message("HAVE_VALGRIND_VALGRIND_H	${HAVE_VALGRIND_VALGRIND_H}")
	message("HAVE_SOCKET_H 			${HAVE_SOCKET_H}")
	message("HAVE_SYS_SOCKET_H 		${HAVE_SYS_SOCKET_H}")
	message("HAVE_STAT_H 			${HAVE_STAT_H}")
	message("HAVE_SYS_STAT_H 		${HAVE_SYS_STAT_H}")
	message("HAVE_WINDOWS_H			${HAVE_WINDOWS_H}")
	message("HAVE_WINSOCK_H 		    ${HAVE_WINSOCK_H}")
	message("HAVE_WINSOCK2_H 		${HAVE_WINSOCK2_H}")
	message("HAVE_ERRNO_H 			${HAVE_ERRNO_H}")
	message("HAVE_UNISTD_H 			${HAVE_UNISTD_H}")
	message("HAVE_EXECINFO_H 		${HAVE_EXECINFO_H}")
	message("HAVE_SIGNAL_H 			${HAVE_SIGNAL_H}")
	message("HAVE_SYS_TIME_H 		${HAVE_SYS_TIME_H}")
	message("HAVE_TIME_H 			${HAVE_TIME_H}")
	message("HAVE_DLFCN_H			${HAVE_DLFCN_H}")
	message("HAVE_INTTYPES_H			${HAVE_INTTYPES_H}")
	message("HAVE_MEMORY_H			${HAVE_MEMORY_H}")
	message("HAVE_STDLIB_H			${HAVE_STDLIB_H}")
	message("HAVE_STRINGS_H			${HAVE_STRINGS_H}")
	message("HAVE_STRING_H			${HAVE_STRING_H}")
	message("HAVE_STDIO_H           ${HAVE_STDIO_H}")

	message("")
	message("HAVE_GETTIMEOFDAY 		${HAVE_GETTIMEOFDAY}")
	message("HAVE_USLEEP 			${HAVE_USLEEP}")
	message("HAVE_GETDTABLESIZE 		${HAVE_GETDTABLESIZE}")
	message("HAVE_SYSCONF 			${HAVE_SYSCONF}")
	message("HAVE_READV 			${HAVE_READV}")
	message("HAVE_POPEN 			${HAVE_POPEN}")
	message("HAVE_SIGNAL 			${HAVE_SIGNAL}")
	message("HAVE_MAKECONTEXT 		${HAVE_MAKECONTEXT}")
	message("HAVE_SNPRINTF			${HAVE_SNPRINTF}")
	message("HAVE_VSNPRINTF			${HAVE_VSNPRINTF}")
	message("HAVE_ASPRINTF			${HAVE_ASPRINTF}")
	message("HAVE_VASPRINTF			${HAVE_VASPRINTF}")
	message("HAVE_MMAP			${HAVE_MMAP}")
	if(enable_ruby)
	message("")
	message("RUBY_EXE :			${RUBY_EXECUTABLE}")
	message("RUBY.H :			${RUBY_INCLUDE_DIR}")
	message("CONFIG.H :			${RUBY_CONFIG_INCLUDE_DIR}")
	message("LIB_RUBY :			${RUBY_LIBRARY}")
	message("LIB_RUBY_VERSION :		${LIB_RUBY_VERSION}")
	endif(enable_ruby)
	if(enable_java)
	message("")
	message("JNI.H : 			${JAVA_INCLUDE_PATH}")
	message("JNI_MD.H : 			${JAVA_INCLUDE_PATH2}")
	message("JAVAC : 			${JAVA_COMPILE}")
	message("JAVA_ARCHIVE : 			${JAVA_ARCHIVE}")
	endif(enable_java)
	if(enable_lua)
	message("")
	message("LUA_INCLUDE_DIR : 		${LUA_INCLUDE_DIR}")
	message("LIBLUA : 			${liblua}")
	endif(enable_lua)
	if(enable_memcheck)
	message("")
	message("VALGRIND : 			${NEW_VALGRIND_VERSION}")
	message("VALGRIND :			${VALGRIND_COMMAND}")
	message("OPTIONS :			${MEMORYCHECK_COMMAND_OPTIONS}")
	message("PERL :				${PERL_EXECUTABLE}")
	endif(enable_memcheck)
	if(enable_model-checking)
	message("")
	message("HAVE_MMAP : 			${HAVE_MMAP}")
	message("HAVE_MC : 			${HAVE_MC}")
	message("MMALLOC_WANT_OVERIDE_LEGACY :	${MMALLOC_WANT_OVERIDE_LEGACY}")
	endif(enable_model-checking)
	if(enable_maintainer_mode)
	message("")
	message("FLEX :	 			${FLEX_EXE}")
	message("FLEX_VERSION :			${FLEX_MAJOR_VERSION}.${FLEX_MINOR_VERSION}.${FLEX_PATCH_VERSION}")
	message("FLEXML : 			${FLEXML_EXE}")
	message("FLEXML_VERSION :		${FLEXML_MAJOR_VERSION}.${FLEXML_MINOR_VERSION}")
	message("SED :	 			${SED_EXE}")
	message("PERL : 				${PERL_EXECUTABLE}")
	endif(enable_maintainer_mode)
	message("")
	message("libcgraph :			${HAVE_CGRAPH_LIB}")
	message("cgraph.h :			${HAVE_CGRAPH_H}")
	if(pipol_user)
	message("")
	message("ssh:				${HAVE_SSH}")
	message("rsync:				${HAVE_RSYNC}")
	message("options:			${CMAKE_OPTIONS}")
	endif(pipol_user)
	if(HAVE_PCRE_LIB)
	message("")
    message("LIBPCRE : ${PATH_PCRE_LIB}")
    message("PATH_LIBPCRE : ${PATHLIBPCRE}")
	endif(HAVE_PCRE_LIB)
    message("")
    message("LIB_EXE : ${LIB_EXE}")
	message("________________________________________________________________________________")
	message("________________________________________________________________________________ DEBUG END")
	message("")
endif(enable_print_message)

message("\nConfiguration of package `simgrid' (revision ${SVN_VERSION}) on arch (=${GRAS_THISARCH}):")
message("	     BUILDNAME : 	${BUILDNAME}")
message("	     SITE      : 	${SITE}")
message("	     Release   :	simgrid-${release_version}~rev${SVN_VERSION}")
message("")
message("	 Compiler: c++ : 	${CMAKE_CXX_COMPILER}")
message("	        version:	${COMPILER_CXX_VERSION}")
message("	 Compiler: c   :	${CMAKE_C_COMPILER}")
message("	        version:	${COMPILER_C_VERSION}")
message("")
message("	       CFlags  :	${CMAKE_C_FLAGS}")	
message("	       CPPFlags:	${CMAKE_CXX_FLAGS}")
message("")
message("	Context backend:	${with_context}")
message("	Compile Gtnets : 	${HAVE_GTNETS}")
message("	Gtnets path    :	${gtnets_path}")
message("	Compile Java   :   	${HAVE_JAVA}")
message("	Compile Lua    :    	${HAVE_LUA}")
message("	Compile Ruby   :    	${HAVE_RUBY}")
message("	Compile Smpi   :    	${enable_smpi}")
message("")
message("	Maintainer mode:	${enable_maintainer_mode}")
message("	Supernovae mode:	${enable_supernovae}")
message("	Tracing mode   :	${enable_tracing}")
message("	Latency bound  :	${enable_latency_bound_tracking}")
message("	Model checking :	${enable_model-checking}")
message("	Build SG doc   :	${enable_doc}")
message("")
message("	Simgrid dependencies: 	${SIMGRID_DEP}")
message("	Gras dependencies   : 	${GRAS_DEP}")
message("	Smpi dependencies   : 	${SMPI_DEP}")
message("")
message("	INSTALL_PREFIX: 	${CMAKE_INSTALL_PREFIX}")

exec_program("${CMAKE_COMMAND} -E make_directory ${simgrid_BINARY_DIR}/Testing/Notes/" OUTPUT_VARIABLE OKIDOKI)
file(WRITE ${simgrid_BINARY_DIR}/Testing/Notes/Build  "SVN version : ${SVN_VERSION}\n")
file(APPEND ${simgrid_BINARY_DIR}/Testing/Notes/Build "Release     : simgrid-${release_version}\n")
file(APPEND ${simgrid_BINARY_DIR}/Testing/Notes/Build "Pipol user  : $ENV{PIPOL_USER}\n")
file(APPEND ${simgrid_BINARY_DIR}/Testing/Notes/Build "Pipol image : $ENV{PIPOL_IMAGE}\n")
 
